<?php 
include"../../aut_verifica.inc.php";
require_once('../config/lang/eng.php');
require_once('../tcpdf.php');
error_reporting(E_ERROR | E_PARSE);
	header('Content-Type: text/html; charset=UTF-8');
	date_default_timezone_set('America/Caracas');
	header("Last-Modified: " . gmdate("D, d M Y H:i ") . " GMT"); 
	header("Cache-Control: no-store, no-cache, must-revalidate"); 
	header("Cache-Control: post-check=0, pre-check=0", false); 
	header("Pragma: no-cache");	

$pdf = new TCPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false);
// Informacion del Documento
$pdf->SetCreator(PDF_CREATOR);
$pdf->SetAuthor('CLOPEZ');
$pdf->SetTitle('PRESUPUESTO AMANACU');
$pdf->SetSubject('');
$pdf->SetKeywords('');
$pdf->setLanguageArray($l);
$pdf->AddPage();
$pdf->SetFont('Arial', 'B', 30);
$codigo_x=$_GET['usuario'];
$fecha_actualxls=$_GET['fecha_registro'];
$fecha_ingreso=date('Y-m-d - h:i:s A');
$token=$_GET['token'];
$codigo_cliente=$_GET['cod_cliente'];
$usuarios_conectadosx=mysql_query("select * from  tabla_usuarios where id='".$codigo_x."'",$link);
$ver_usuariosx=mysql_fetch_array($usuarios_conectadosx);
$orden_factura=mysql_query("select SUM(cantidad),SUM(total_venta),SUM(total_venta_bolivares),cod_cliente,fecha_registro,estatus,id,token,tasa_dolar from  tabla_factura_detalle_xls where estatus='3' and fecha_registro='$fecha_actualxls' and token='$token' GROUP BY token ORDER BY id DESC  ",$link);
$ver_factura=mysql_fetch_array($orden_factura);
$n_orden=str_pad($ver_factura['id'], 8, "0", STR_PAD_LEFT);
$consulta_cliente=mysql_query("select * from  tabla_clintes_xls where id='".$codigo_cliente."' and eliminar='0' and estatus='0' ORDER BY id DESC ",$link);
$ver_consulta_cliente=mysql_fetch_array($consulta_cliente);
$valor_tasas_dolar=$ver_factura['tasa_dolar'];
$html1 ='
	<h3>MATADERO AVICOLA LOS LLANOS C.A - J-31074333-9</h3><br>
	IMPRESO POR: '.$ver_usuariosx['descripcion'].'  EL DIA '.$fecha_ingreso.'<br>
	----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	FACTOR DE CAMBIO Bs/USD :<b> '.$valor_tasas_dolar.'</b>
	<h1 style="text-align: center;">PRESUPUESTO</h1>
	<b>RAZON SOCIAL:</b> '.$ver_consulta_cliente['descripcion'].' <br><b>RIF DEL CLIENTE: </b> '.$ver_consulta_cliente['rif'].'
';
$html2 ='
-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
<br>
	<table border="0">
		<tr>
			<td WIDTH="52%">DESCRIPCION</td>
			<td WIDTH="15%" style="text-align: center;">U. MEDIDA</td>
			<td WIDTH="10%" style="text-align: right;">CANTIDAD</td>
			<td WIDTH="10%" style="text-align: right;">PRECIO</td>
			<td WIDTH="10%" style="text-align: right;">TOTAL</td>
		</tr>
	</table>
-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
';
	$detalle_orden_carga=mysql_query("select * from  tabla_factura_detalle_xls where estatus='3' and fecha_registro='$fecha_actualxls' and token='$token' ",$link);
	while($ver_detalle_orden_carga=mysql_fetch_array($detalle_orden_carga)){
	$cod_producto=$ver_detalle_orden_carga['cod_producto'];
	$cod_unidad=$ver_detalle_orden_carga['cod_unidad'];
	$productos_ventax=mysql_query("select * from tabla_productos where id='$cod_producto'  ",$link);
	$p_ventax=mysql_fetch_array($productos_ventax);		
	$u_medida=mysql_query("select * from  tabla_unidad_medida where id='$cod_unidad'  ",$link);
	$ver_u_medida=mysql_fetch_array($u_medida);	
		$precio_u_bs=$ver_detalle_orden_carga['precio_venta']*$valor_tasas_dolar;
	$i++;
	$html51[]='
	<table  border="0" >
	  <tr>
		<td WIDTH="52%">'.$p_ventax['nombre_producto'].'</td>
		<td WIDTH="15%" style="text-align: center;">'.$ver_u_medida['nombre'].'</td>
		<td WIDTH="10%" style="text-align: right;">'.$ver_detalle_orden_carga['cantidad'].'</td>
		<td WIDTH="10%"style="text-align: right;">'.number_format($precio_u_bs, 2, ',','.').'</td>
		<td WIDTH="10%" style="text-align: right;">'.number_format($ver_detalle_orden_carga['total_venta_bolivares'], 2, ',','.').'</td>
	  </tr> 
	</table>
	 '; 
}
//number_format($ver_factura['SUM(total_venta)'], 2, ',','.')
$html3 ='

-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
<br>
	<table border="0">
		<tr>
			<td WIDTH="52%"><b>TOTAL GENERALES :</b></td>
			<td WIDTH="15%" style="text-align: center;"></td>
			<td WIDTH="10%" style="text-align: right;">'.$ver_factura['SUM(cantidad)'].'</td>
			<td WIDTH="10%" style="text-align: right;"> </td>
			<td WIDTH="10%" style="text-align: right;">'.number_format($ver_factura['SUM(total_venta_bolivares)'], 2, ',','.').' Bs.</td>
		</tr>
		<tr>
			<td WIDTH="52%"></td>
			<td WIDTH="15%" style="text-align: center;"></td>
			<td WIDTH="10%" style="text-align: right;"></td>
			<td WIDTH="10%" style="text-align: right;"></td>
			<td WIDTH="9%" style="text-align: right;">'.number_format($ver_factura['SUM(total_venta)'], 2, ',','.').' $</td>
		</tr>
	</table>
-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
<br>
Documento emitido con base al Art. 25 de la ley del IVA, debe pagarse al tipo de cambio vigente al momento del pago.
<br>
<br>

';
$pdf->SetFont('times', '', 8);
$pdf->writeHTML($html1, true, 0, true, true);
$pdf->Ln();
$pdf->writeHTML($html2, true, 0, true, true);
$pdf->Ln(); 
for($x=0;$x<=$i;$x++){
	$pdf->writeHTML($html51[$x], true, 0, true, true);
	$pdf->Ln(1);
}
$pdf->writeHTML($html3, true, 0, true, true);
$pdf->Ln(); 
$pdf->write1DBarcode(''.$token.'', 'C39E+', '', '', '', 18, 0.4, $style, 'N');
$pdf->Ln();
$pdf->Output('PRESUPUESTO-'.$ver_consulta_cliente['rif'].'-'.$fecha_actualxls.'.pdf', 'I');
?>